#include <fstream>
using namespace std;
ifstream f1("lastzero.inp");
ofstream f2("lastzero.out");
long n;
long dem = 0;
int main()
{
    f1 >> n;
    for (long i = 5; i <= n; i=i+5)
    {
        dem++;
    }
    f2 << dem;
    return 0;
}
